KDE 4.2 PyKDE API Reference

- KDE's Python API

# Phonon.BackendCapabilities Namespace Reference

`from PyKDE4.phonon.Phonon.BackendCapabilities import *`

## Detailed Description

Collection of functions describing the capabilities of the Backend.

Author:
  Matthias Kretz <kretz@kde.org>

## Class Index

N | Notifier (Phonon.BackendCapabilities) | Notifier (Phonon.BackendCapabilities)

## Functions

[Phonon::Phonon::AudioCaptureDevice] | availableAudioCaptureDevices ()
[Phonon::AudioCaptureDevice] | availableAudioCaptureDevices ()
[Phonon::Phonon::AudioCaptureDevice] | availableAudioCaptureDevices ()
[Phonon::AudioCaptureDevice] | availableAudioCaptureDevices ()
[Phonon::Phonon::EffectDescription] | availableAudioEffects ()
[Phonon::EffectDescription] | availableAudioEffects ()
[Phonon::Phonon::EffectDescription] | availableAudioEffects ()
[Phonon::EffectDescription] | availableAudioEffects ()
[Phonon::Phonon::AudioOutputDevice] | availableAudioOutputDevices ()
[Phonon::AudioOutputDevice] | availableAudioOutputDevices ()
[Phonon::Phonon::AudioOutputDevice] | availableAudioOutputDevices ()
[Phonon::AudioOutputDevice] | availableAudioOutputDevices ()
QStringList | availableMimeTypes ()
QStringList | availableMimeTypes ()
bool | isMimeTypeAvailable (QString mimeType)
bool | isMimeTypeAvailable (QString mimeType)
Phonon.BackendCapabilities.Notifier | notifier ()
Phonon.BackendCapabilities.Notifier | notifier ()

## Function Documentation

[Phonon::Phonon::AudioCaptureDevice] availableAudioCaptureDevices | ( |  | self ) |

Returns the audio capture devices the backend supports.

Returns:
  A list of AudioCaptureDevice objects that give a name and description for every supported audio capture device.

[Phonon::AudioCaptureDevice] availableAudioCaptureDevices | ( |  | self ) |

[Phonon::Phonon::AudioCaptureDevice] availableAudioCaptureDevices | ( |  | self ) |

Returns the audio capture devices the backend supports.

Returns:
  A list of AudioCaptureDevice objects that give a name and description for every supported audio capture device.

[Phonon::AudioCaptureDevice] availableAudioCaptureDevices | ( |  | self ) |

[Phonon::Phonon::EffectDescription] availableAudioEffects | ( |  | self ) |

Returns descriptions for the audio effects the backend supports.

Returns:
  A list of AudioEffectDescription objects that give a name and description for every supported audio effect.

[Phonon::EffectDescription] availableAudioEffects | ( |  | self ) |

[Phonon::Phonon::EffectDescription] availableAudioEffects | ( |  | self ) |

Returns descriptions for the audio effects the backend supports.

Returns:
  A list of AudioEffectDescription objects that give a name and description for every supported audio effect.

[Phonon::EffectDescription] availableAudioEffects | ( |  | self ) |

[Phonon::Phonon::AudioOutputDevice] availableAudioOutputDevices | ( |  | self ) |

Returns the audio output devices the backend supports.

Returns:
  A list of AudioOutputDevice objects that give a name and description for every supported audio output device.

[Phonon::AudioOutputDevice] availableAudioOutputDevices | ( |  | self ) |

[Phonon::Phonon::AudioOutputDevice] availableAudioOutputDevices | ( |  | self ) |

Returns the audio output devices the backend supports.

Returns:
  A list of AudioOutputDevice objects that give a name and description for every supported audio output device.

[Phonon::AudioOutputDevice] availableAudioOutputDevices | ( |  | self ) |

QStringList availableMimeTypes | ( |  | self ) |

Returns a list of mime types that the Backend can decode.

See also:
  isMimeTypeAvailable()

QStringList availableMimeTypes | ( |  | self ) |

Returns a list of mime types that the Backend can decode.

See also:
  isMimeTypeAvailable()

bool isMimeTypeAvailable | ( | QString | mimeType
| ) |  |  |

Often all you want to know is whether one given MIME type can be decoded by the backend. Use this method in favor of availableMimeTypes() as it can give you a negative answer without having a backend loaded.

See also:
  availableMimeTypes();

bool isMimeTypeAvailable | ( | QString | mimeType
| ) |  |  |

Often all you want to know is whether one given MIME type can be decoded by the backend. Use this method in favor of availableMimeTypes() as it can give you a negative answer without having a backend loaded.

See also:
  availableMimeTypes();

Phonon.BackendCapabilities.Notifier notifier | ( |  | self ) |

Phonon.BackendCapabilities.Notifier notifier | ( |  | self ) |